
(function() {
	if(window.mknoteApp) {
		return;
	}
	mknoteApp = mknote.app.obj();

	//正常是1 源码是0
	mknoteApp.changeWyswyg = function(b) {
		if(b) {
			this.notifyWyswygMode(window.location.href, '0');
		} else {
			this.notifyWyswygMode(window.location.href, '1');
		}
	}


	mknoteApp.changeCanUndo = function(b) {
		if(b) {
			this.notifyCanUndo(window.location.href, '0');
		} else {
			this.notifyCanUndo(window.location.href, '1');
		}
	}

	mknoteApp.changeCanRedo = function(b) {
		if(b) {
			this.notifyCanRedo(window.location.href, '0');
		} else {
			this.notifyCanRedo(window.location.href, '1');
		}
	}

	mknoteApp.popupMenu = function(wordcount) {
		this.notifyPopupMenu(window.location.href, wordcount);
	}

	mknoteApp.closePopupMenu = function() {
		this.notifyClosePopupMenu(window.location.href);
	}

	mknoteApp.doMouseUp = function() {
		this.notifyMouseUp(window.location.href);
	}

})();